Loading...
Searching...
No Matches
Opm::Wells Class Reference

A class designed to encapsulate a set of rate- or pressure-controlled wells. More...

`#include <Wells.hpp>`

## Public Types

enum | WellType { Injector , Producer }
enum | WellControl { Rate , Pressure }

## Public Member Functions

void | init (Opm::DeckConstPtr deck)
int | numWells () const
WellType | type (int wellnum) const
WellControl | control (int wellnum) const
double | target (int wellnum) const
double | referenceDepth (int wellnum) const
int | numPerforations (int wellnum) const
int | wellCell (int wellnum, int perfnum) const
double | wellIndex (int wellnum, int perfnum) const
double | pressureDelta (int wellnum, int perfnum) const
void | update (int num_cells, const std::vector< double > &well_pressures, const std::vector< double > &well_fluxes)
double | perforationPressure (int cell) const
double | wellToReservoirFlux (int cell) const
Dune::FieldVector< double, 3 > | injectionMixture (int cell) const

## Detailed Description

A class designed to encapsulate a set of rate- or pressure-controlled wells.

The documentation for this class was generated from the following file:

- opm/porsol/common/Wells.hpp